View Issue Details

IDProjectCategoryView StatusLast Update
0029316RunnerGeneralPublic2019-08-30 11:40
ReporterSam CummingAssigned ToRussell Kay 
PriorityHighSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
PlatformWindowsOSOS Version
Product Version2.1.4 
Target Version2.2.4Fixed in Version2.2.4 
Summary0029316: General: Attached project crashes when using certain strings in show_debug_message() when debugging
DescriptionIf you open the attached project and debug it on Windows, the Runner will crash.

It appears that show_debug_message() has an issue with part of or all of the string it's trying to display.

I've tested this with different strings, parts of the original string cut off, etc and it only replicates when using the provided string in its entirety.
Steps To Reproduce1. Open the attached project.
2. Target Windows, debug.
3. Observe crash.
TagsNo tags attached.
1.4 Found In2.1.4.288
2.x Runtime Found In2.1.4.203
2.x Runtime Verified In9.9.1.1531

Activities

Sam Cumming

2018-04-13 16:54

Developer  

show_debug_message_crash.yyz (19,049 bytes)

Russell Kay

2018-05-16 22:19

Manager   ~0059777

Unable to reproduce with v9.9.1.1019

Dan

2019-02-13 13:35

Adminstrator   ~0063058

Mass-closing as per the Resolution of Unable To Reproduce and because many of these reports are very old / relate to GM: S 1.4.

If the comment from the dev above says this report was resolved because there was no sample, but you still have this issue in a CURRENT version of GMS2, please do submit a Helpdesk ticket and give us a sample project and we will add a new bug report with the fresh info.

Dan

2019-07-16 16:43

Adminstrator   ~0064442

Reopened, as still reproduces 100% in 2.2.3 if you're definitely running in debug mode.

Dan

2019-07-16 16:44

Adminstrator   ~0064443

Not sure if this version differs from the file of the same name above, but this is the one I reproduced with...

show_debug_message_crash-2.yyz (19,049 bytes)

Russell Kay

2019-07-17 20:54

Manager   ~0064456

Fixed in gitlab